Support Questions
Find answers, ask questions, and share your expertise

Ranger 0.6.0 Integration with 2.4.2

Contributor

So I am jumping the gun on HDP 2.5 and trying to integrate Ranger 0.6.0-SNAPSHOT into my current 2.4.2 cluster and without much luck... Has anyone else been able to successfully do this? I have ranger up and running and the policies created, just having some trouble with the Hive Plugin being recognized and the Ranger TagSync function with Atlas to work although I am getting green lights across the board.

1 ACCEPTED SOLUTION

Explorer

This configuration is not tested or supported currently as there are significant changes to the policy engine in Ranger 0.6-SNAPSHOT that might not be compatible with the older versions of HDP2.4.2 components' plugins for Ranger. Also the version of Atlas in HDP2.4.2 might not be compatible with the newer Ranger 0.6-SNAPSHOT version for tagsync. Which version of Atlas were you using in your test and also is your cluster Kerberized?

View solution in original post

2 REPLIES 2

Explorer

This configuration is not tested or supported currently as there are significant changes to the policy engine in Ranger 0.6-SNAPSHOT that might not be compatible with the older versions of HDP2.4.2 components' plugins for Ranger. Also the version of Atlas in HDP2.4.2 might not be compatible with the newer Ranger 0.6-SNAPSHOT version for tagsync. Which version of Atlas were you using in your test and also is your cluster Kerberized?

Contributor

I am was originally using the packaged version of atlas (0.5) but have removed that and am installing 0.8 now and will try again with that version installed. The cluster is currently not kerberized as it is just an internal testing cluster.

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.